@charset "UTF-8";

//----------------------------------------------
@mixin button-variant-hover-bright($color, $background, $border) {
  color: $color;
  background-color: $background;
  border-color: $border;

  &:focus,
  &.focus {
    color: $color;
    background-color: lighten($background, 10%);
    border-color: lighten($border, 25%);
  }

  &:hover {
    color: $color;
    background-color: lighten($background, 10%);
    border-color: lighten($border, 12%);
  }

  &:active,
  &.active,
  .open > &.dropdown-toggle {
    color: $color;
    background-color: lighten($background, 10%);
    border-color: lighten($border, 12%);

    &:hover,
    &:focus,
    &.focus {
      color: $color;
      background-color: lighten($background, 17%);
      border-color: lighten($border, 25%);
    }
  }

  &:active,
  &.active {
    background-image: none;
  }

  .open > & {
    .dropdown-toggle {
      background-image: none;
    }
  }

  &.disabled,
  &[disabled],
  fieldset[disabled] & {
    &:hover,
    &:focus,
    &.focus {
      background-color: $background;
      border-color: $border;
    }
  }

  // .badge {
  //   color: $background;
  //   background-color: $color;
  // }
}

//----------------------------------------------
@mixin button-variant-hover-inverse($color, $background, $border) {
  color: $color;
  background-color: $background;
  border-color: $border;

  &:focus,
  &.focus {
    color: $background;
    background-color: $color;
    // border-color: darken($border, 25%);
  }

  &:hover {
    color: $background;
    background-color: $color;
    // border-color: darken($border, 12%);
  }

  &:active,
  &.active,
  .open > &.dropdown-toggle {
    color: $background;
    background-color: $color;
    // border-color: darken($border, 12%);

    &:hover,
    &:focus,
    &.focus {
      color: $background;
      background-color: $color;
      // border-color: darken($border, 25%);
    }
  }

  &:active,
  &.active {
    background-image: none;
  }

  .open > & {
    .dropdown-toggle {
      background-image: none;
    }
  }

  &.disabled,
  &[disabled],
  fieldset[disabled] & {
    &:hover,
    &:focus,
    &.focus {
      background-color: $background;
      // border-color: $border;
    }
  }

  // .badge {
  //   color: $background;
  //   background-color: $color;
  // }
}

// Button
//----------------------------------------------
// .btn-*** {
//   @include button-variant($btn-default-color, $btn-default-bg, $btn-default-border);
// }

//----------------------------------------------
.btn-multiline {
  white-space: normal;
}

//----------------------------------------------
.btn {
  @include transition(all $hover-transition-speed ease);

  //&.arrow-blue-left {
  //  display: inline-block;
  //  padding-left: 30px;
  //  background-image: url("../img/arrow/arrow-blue-left.png");
  //  background-position: 5% 50%;
  //  background-repeat: no-repeat;
  //}
  //
  //&.arrow-blue-right {
  //  display: inline-block;
  //  padding-right: 30px;
  //  background-image: url("../img/arrow/arrow-blue-right.png");
  //  background-position: 95% 50%;
  //  background-repeat: no-repeat;
  //}

  //&.arrow-circle-right {
  //  position: relative;
  //  display: inline-block;
  //  padding: 15px 90px 11px;
  //
  //  @media (max-width: $screen-xs-max) {
  //    display: block;
  //  }
  //
  //  &:before,
  //  &:after {
  //    position: absolute;
  //    top: 0;
  //    right: 0;
  //    bottom: 0;
  //    display: inline-block;
  //    margin-top: auto;
  //    margin-bottom: auto;
  //    content: "";
  //  }
  //
  //  &:before {
  //    width: 20px;
  //    height: 20px;
  //    margin-right: 15px;
  //    border: 2px solid #fff;
  //    border-radius: 50%;
  //  }
  //
  //  &:after {
  //    width: 6px;
  //    height: 6px;
  //    margin-right: 23px;
  //    border-top: 2px solid #fff;
  //    border-right: 2px solid #fff;
  //    transform: rotate(45deg);
  //  }
  //}
}
//----------------------------------------------
.btn-border-gray {
  @include button-variant(#b3bbcf, #fff, #b3bbcf);
  //@include hover
}

//----------------------------------------------
.btn-slim {
  padding: 1px 30px 0 27px!important;
  font-size: 16px;
  border-radius: 16px;

  @media (max-width: $screen-xs-max) {
    padding: 0 20px !important;
  }

  &:hover {
    border-color: #13bd7c;
    background-color: #fff;
  }

  &.icon-log-in {
    &:before {
      display: inline-block;
      width: 13px;
      height: 13px;
      margin-right: 15px;
      background: url("../img/icon/icon-log-in.png") center no-repeat;
      content: "";
    }
  }
}

//----------------------------------------------
.btn-gradient-red {
  @include button-variant(#fff, #fa6057, transparent);
  padding: 10px 15px 9px;
  font-size: 18px;
  border: 0;
  border-radius: 25px;
  background: linear-gradient(175deg, #fc908a 41%, #fa6057 43%);

  small {
    font-size: 78%;
  }

  &.icon-user-circle {
    position: relative;
    padding-left: 56px;

    &:before {
      position: absolute;
      top: 12px;
      left: 31px;
      width: 28px;
      height: 28px;
      background: url("../img/icon/icon-user-circle.png") center no-repeat;
      content: "";
    }
  }
}
